from python:3.10-slim-buster

run apt update
run apt install -yq  git

# Install lorry-controller
run git clone https://gitlab.com/CodethinkLabs/lorry/lorry-controller.git /lorry-controller-src
run cd /lorry-controller-src && python setup.py install --root=/

run pip3 install pyyaml

# Not to confuse with pypi version
run git clone https://gitlab.com/CodethinkLabs/lorry/cliapp.git /cliapp
run cd /cliapp && python setup.py install

# Install lorry
run git clone https://gitlab.com/CodethinkLabs/lorry/lorry.git /lorry-src
run cd /lorry-src && python setup.py install

run pip3 install \
  bottle \
  flup \
  yoyo-migrations \
  requests \
  python-gitlab

# Tools needed by lorry

run apt install -yq bzr \
                    mercurial \
                    git-svn \
                    git-cvs \
                    lzip \
                    git-lfs

run ln -s /usr/local/share/lorry-controller /usr/share/lorry-controller

run mkdir -p /data/db
run mkdir -p /data/log
run mkdir -p /data/html

cmd  ["lorry-controller-webapp", "--config=/config/webapp.conf"]
# minion
# lorry-controller-minion --config /config/minion.conf

copy minion-entrypoint /usr/local/bin/

run mkdir -p /data/working-area
run mkdir -p /data/gits/git
run mkdir -p /data/gits/tarballs
# for test
run apt install -yq cmdtest curl
